UM Java API 6.17.1

- Main Page
- Related Pages
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Attributes | Protected Attributes | List of all members
com.latencybusters.lbm.sdm.LBMSDMFieldsAttribute Class Reference
Inheritance diagram for com.latencybusters.lbm.sdm.LBMSDMFieldsAttribute:

## Public Member Functions
| LBMSDMFieldsAttribute ()
void | set_field_prealloc (int num_fields)
int | get_field_prealloc ()
LBMSDMFieldsAttribute | clone () throws CloneNotSupportedException
void | enable_name_tree ()
void | disable_name_tree ()
boolean | name_tree_enabled ()
void | set_debug_level (int level)
void | log (String s)

## Static Public Attributes
static final int | DEBUG_BASIC = 1
static final int | DEBUG_VERBOSE_PARSING = 2

## Protected Attributes
int | debug_level = 0

## Detailed Description

LBMSDMFieldsAttribute define the attributes used by LBMSDMFields. Currently the only option is to set the number of preallocated fields on a field set (message). In the future, other options will be added.

## Constructor & Destructor Documentation

com.latencybusters.lbm.sdm.LBMSDMFieldsAttribute.LBMSDMFieldsAttribute | ( |  | ) |

Constructor for a field set attribute.

## Member Function Documentation

LBMSDMFieldsAttribute com.latencybusters.lbm.sdm.LBMSDMFieldsAttribute.clone | ( |  | ) | throws CloneNotSupportedException

Get a copy of this object

Returns
  A new object with a copy

References com.latencybusters.lbm.sdm.LBMSDMFieldsAttribute.clone().

Referenced by com.latencybusters.lbm.sdm.LBMSDMFieldsAttribute.clone(), com.latencybusters.lbm.sdm.LBMSDMFields.get_attr(), and com.latencybusters.lbm.sdm.LBMSDMFields.LBMSDMFields().

void com.latencybusters.lbm.sdm.LBMSDMFieldsAttribute.disable_name_tree | ( |  | ) |

Enable field name validation This also controls name validation when adding fields etc. When validation is on, duplicate field names are detected. The C API also implements a name tree for optimized searches by name, but this is reserved for future development in Java and .NET.

void com.latencybusters.lbm.sdm.LBMSDMFieldsAttribute.enable_name_tree | ( |  | ) |

Enable field name validation This also controls name validation when adding fields etc. When validation is on, duplicate field names are detected. The C API also implements a name tree for optimized searches by name, but this is reserved for future development in Java and .NET.

int com.latencybusters.lbm.sdm.LBMSDMFieldsAttribute.get_field_prealloc | ( |  | ) |

Get the number of preallocated fields

Returns
  The number of fields to preallocate

void com.latencybusters.lbm.sdm.LBMSDM.log | ( | String | s | ) |
| inherited

Log an event. If debug level is set greater than 0, output to stderr

Referenced by com.latencybusters.lbm.sdm.LBMSDMFields.get_attr(), com.latencybusters.lbm.sdm.LBMSDMFields.LBMSDMFields(), com.latencybusters.lbm.sdm.LBMSDMFieldBlob.set(), com.latencybusters.lbm.sdm.LBMSDMFieldMessage.set(), com.latencybusters.lbm.sdm.LBMSDMFieldDecimal.set(), com.latencybusters.lbm.sdm.LBMSDMFieldTimestamp.set(), com.latencybusters.lbm.sdm.LBMSDMArrayDecimal.set(), and com.latencybusters.lbm.sdm.LBMSDMArrayUint64.set().

boolean com.latencybusters.lbm.sdm.LBMSDMFieldsAttribute.name_tree_enabled | ( |  | ) |

Find out if field name validation is enabled.

Returns
  true if enabled

void com.latencybusters.lbm.sdm.LBMSDM.set_debug_level | ( | int | level | ) |
| inherited

Set the debug level for processing this SDM message. Currently all debugs go to standard out.

void com.latencybusters.lbm.sdm.LBMSDMFieldsAttribute.set_field_prealloc | ( | int | num_fields | ) |

Set the number of preallocated fields

Parameters

  num_fields | The number of fields to preallocate

## Member Data Documentation

final int com.latencybusters.lbm.sdm.LBMSDM.DEBUG_BASIC = 1
| static inherited

Debug flag for basic debug output

int com.latencybusters.lbm.sdm.LBMSDM.debug_level = 0
| protected inherited

Debug mask for SDM implementation.

See also
  set_debug_level

Referenced by com.latencybusters.lbm.sdm.LBMSDMessage.data(), com.latencybusters.lbm.sdm.LBMSDMessage.parse(), com.latencybusters.lbm.sdm.LBMSDMFieldMessage.parse(), and com.latencybusters.lbm.sdm.LBMSDMArrayMessage.parse().

final int com.latencybusters.lbm.sdm.LBMSDM.DEBUG_VERBOSE_PARSING = 2
| static inherited

Debug flag for verbose message parsing output

The documentation for this class was generated from the following file:

- LBMSDMFieldsAttribute.java